import { Vector } from "../common/Vector";
import { EventEmitter } from "../common/EventEmitter";
import { Renderable } from "./Renderer";
import { ShapeLike } from "../graphics/Shape";
export declare type BodyProps = Partial<{
    active: boolean;
    interactive: boolean;
    texture: Renderable | null;
    parts: ShapeLike[];
    position: Vector;
    rotation: number;
    velocity: Vector;
    acceleration: Vector;
    decorations: Renderable[] | null;
}>;
export declare type BodyEventArguments = {};
export declare class Body extends EventEmitter<BodyEventArguments> implements Required<BodyProps>, Renderable {
    static defaults: BodyProps;
    constructor(props?: Readonly<BodyProps>);
    active: boolean;
    interactive: boolean;
    texture: Renderable | null;
    parts: ShapeLike[];
    position: Vector;
    rotation: number;
    velocity: Vector;
    acceleration: Vector;
    decorations: Renderable[] | null;
    update(timeScale: number): void;
    render(context: CanvasRenderingContext2D): void;
}
