export interface CommonStyle {
    opacity: number;
    shadowColor: string;
    shadowBlur: number;
    shadowOffsetX: number;
    shadowOffsetY: number;
}
export interface StrokeStyle {
    strokeStyle: string | CanvasGradient | CanvasPattern | null;
    lineWidth: number;
    lineJoin: CanvasLineJoin;
    lineCap: CanvasLineCap;
    miterLimit: number;
    dashOffset: number;
    lineDash: number[];
}
export interface FillStyle {
    fillStyle: string | CanvasGradient | CanvasPattern | null;
}
export interface TextDrawingStyle {
    font: string;
    textAlign: CanvasTextAlign;
    textBaseline: CanvasTextBaseline;
    direction: CanvasDirection;
}
export interface StyleType<T extends {}> {
    defaults: T;
    apply(context: CanvasRenderingContext2D, style: Partial<T>): void;
}
export interface StyleNamespace {
    readonly Common: StyleType<CommonStyle>;
    readonly Stroke: StyleType<StrokeStyle>;
    readonly Fill: StyleType<FillStyle>;
    readonly Text: StyleType<TextDrawingStyle>;
}
export declare const Style: StyleNamespace;
