import { CommonStyle, TextDrawingStyle, StrokeStyle, FillStyle } from "./Style";
import { Renderable } from "../core/Renderer";
import { Vector } from "../common/Vector";
export declare type TextStyle = CommonStyle & StrokeStyle & FillStyle & TextDrawingStyle;
export declare type TextProps = Partial<{
    content: string;
    position: Vector;
    rotation: number;
    style: Partial<TextStyle>;
    fillFirst: boolean;
}>;
export declare class Text implements Required<TextProps>, Renderable {
    static defaults: TextProps;
    constructor(props?: Readonly<TextProps>);
    content: string;
    position: Vector;
    rotation: number;
    style: Partial<TextStyle>;
    fillFirst: boolean;
    render(context: CanvasRenderingContext2D): void;
}
